#!/usr/bin/env bash
#SBATCH --job-name=your_job_name
#SBATCH --account=**ask Dr. Klauda**
#SBATCH --partition=gpu-shared
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-task=10
#SBATCH --mem=95G
#SBATCH --gpus=1
#SBATCH --time=48:00:00
#SBATCH --no-requeue
#SBATCH --export=ALL

module purge
module load slurm
module load gpu
module load openmpi
module load namd
module load cuda10.2/toolkit/10.2.89

# equilibration
for (( cnt=1; cnt<=6; cnt++ ))
do
mpirun --mca btl_openib_allow_ib true -np 1 --map-by ppr:1:node namd2 +ppn10 +setcpuaffinity +devices 0 step6.${cnt}_equilibration.inp >& step6.${cnt}_equilibration.out
ehco "mpirun --mca btl_openib_allow_ib true -np 1 --map-by ppr:1:node namd2 +ppn10 +setcpuaffinity +devices 0 step6.${cnt}_equilibration.inp >& step6.${cnt}_equilibration.out"
    wait
done
